| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiKernel.Configurable.DummyDescriptor Class Reference
Inheritance diagram for GaudiKernel.Configurable.DummyDescriptor:
[legend]
Collaboration diagram for GaudiKernel.Configurable.DummyDescriptor:
[legend]

## Public Member Functions
def | __init__ (self, name)
def | __get__ (self, obj, type=None)
def | __set__ (self, obj, value)

## Private Attributes
| __name__

## Detailed Description

Definition at line 973 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.DummyDescriptor.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 974 of file Configurable.py.

974 def __init__(self, name):
975 self.__name__ = name # conventional
976
GaudiKernel.Configurable.DummyDescriptor.__init__
def __init__(self, name)
Definition: Configurable.py:974
GaudiKernel.Configurable.DummyDescriptor.__name__
__name__
Definition: Configurable.py:975

## Member Function Documentation

def GaudiKernel.Configurable.DummyDescriptor.__get__ | ( |  | self,
|  |  | obj,
|  |  | type = `None`
| ) |  |

Definition at line 977 of file Configurable.py.

977 def __get__(self, obj, type=None):
978 return getattr(obj, self.__name__)
979
GaudiKernel.Configurable.DummyDescriptor.__name__
__name__
Definition: Configurable.py:975
GaudiKernel.Configurable.DummyDescriptor.__get__
def __get__(self, obj, type=None)
Definition: Configurable.py:977

def GaudiKernel.Configurable.DummyDescriptor.__set__ | ( |  | self,
|  |  | obj,
|  |  | value
| ) |  |

Definition at line 980 of file Configurable.py.

980 def __set__(self, obj, value):
981 object.__setattr__(obj, self.__name__, value)
982
983
GaudiKernel.Configurable.DummyDescriptor.__set__
def __set__(self, obj, value)
Definition: Configurable.py:980
GaudiKernel.Configurable.DummyDescriptor.__name__
__name__
Definition: Configurable.py:975

## Member Data Documentation

GaudiKernel.Configurable.DummyDescriptor.__name__
| private

Definition at line 975 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py